package com.persagy.parser;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;

/**
 * @description: TODO
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2021/04/01 09:59
 * @version:V1.0
 **/
@Builder
@Accessors
@AllArgsConstructor
@NoArgsConstructor
public class ParserEntity {
    public String building;
    public String gateway;
    public String packageId;
    public String datatype; // report text senddownreadack senddownsetack reportpointset virtualpointset
    public List<RecordData> dataList = new ArrayList<RecordData>();
}

